Attribute VB_Name = "modSR2D"
Option Explicit

Public Enum SR2D_Op
  OpDefault
  OpPaint
  OpAlphaTest
  OpAlphaBlend
  OpAdd2D
  OpAdd
  OpMul
  OpMul2X
  OpMax
  OpMin
  OpBlend
End Enum

Public Enum SR2D_ColChannel
  ChBlue = 0
  ChGreen = 1
  ChRed = 2
  ChAlpha = 3
End Enum

Public Enum SR2D_Transform
  TrNone = 0
  TrFlipX = 1
  TrFlipY = 2
  TrFlipXY = 3
  TrRotCCW = 4
  TrRotCW = 5
  TrFlipXRotCCW = 6
  TrFlipYRotCCW = 7
  TrFlipXRotCW = 7
  TrFlipYRotCW = 6
End Enum

Public Enum SR2D_FileFormat
  FF_RGB_BMP
  FF_RGB_PNG
  FF_RGB_JPG
  FF_ARGB_BMP
  FF_ARGB_PNG
End Enum

Public Declare Function ARGB Lib "SR2D" Alias "ARGB_" (ByVal A As Byte, ByVal R As Byte, ByVal G As Byte, ByVal B As Byte) As Long
Public Declare Function BitMask Lib "SR2D" Alias "EXP2N" (ByVal i As Long) As Long
